Index: src/flac/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/flac/Makefile.am,v
retrieving revision 1.1.1.9
retrieving revision 1.3
diff -u -r1.1.1.9 -r1.3
--- flac-1.1.0/src/flac/Makefile.am	25 Jan 2003 18:14:42 -0000	1.1.1.9
+++ flac-1.1.0/src/flac/Makefile.am	2 Feb 2003 23:03:33 -0000	1.3
@@ -41,10 +41,10 @@
 
 flac_LDADD = \
 	$(NEED_OGGFLAC_LIB) \
-	$(top_builddir)/src/share/grabbag/libgrabbag.a \
-	$(top_builddir)/src/share/gain_analysis/libgain_analysis.a \
+	$(top_builddir)/src/share/grabbag/libgrabbag.la \
+	$(top_builddir)/src/share/gain_analysis/libgain_analysis.la \
 	$(top_builddir)/src/share/getopt/libgetopt.a \
-	$(top_builddir)/src/share/utf8/libutf8.a \
+	$(top_builddir)/src/share/utf8/libutf8.la \
 	$(top_builddir)/src/libFLAC/libFLAC.la \
 	@OGG_LIBS@ \
 	@LIBICONV@ \
Index: src/metaflac/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/metaflac/Makefile.am,v
retrieving revision 1.1.1.5
retrieving revision 1.2
diff -u -r1.1.1.5 -r1.2
--- flac-1.1.0/src/metaflac/Makefile.am	25 Jan 2003 18:14:53 -0000	1.1.1.5
+++ flac-1.1.0/src/metaflac/Makefile.am	2 Feb 2003 23:03:34 -0000	1.2
@@ -39,10 +39,10 @@
 metaflac_LDFLAGS = 
 
 metaflac_LDADD = \
-	$(top_builddir)/src/share/grabbag/libgrabbag.a \
-	$(top_builddir)/src/share/gain_analysis/libgain_analysis.a \
+	$(top_builddir)/src/share/grabbag/libgrabbag.la \
+	$(top_builddir)/src/share/gain_analysis/libgain_analysis.la \
 	$(top_builddir)/src/share/getopt/libgetopt.a \
-	$(top_builddir)/src/share/utf8/libutf8.a \
+	$(top_builddir)/src/share/utf8/libutf8.la \
 	$(top_builddir)/src/libFLAC/libFLAC.la \
 	@LIBICONV@ \
 	-lm
Index: src/monkeys_audio_utilities/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/monkeys_audio_utilities/Makefile.am,v
retrieving revision 1.1.1.3
retrieving revision 1.4
diff -u -r1.1.1.3 -r1.4
Index: src/monkeys_audio_utilities/flac_mac/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/monkeys_audio_utilities/flac_mac/Makefile.am,v
retrieving revision 1.1.1.3
retrieving revision 1.4
diff -u -r1.1.1.3 -r1.4
Index: src/monkeys_audio_utilities/flac_ren/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/monkeys_audio_utilities/flac_ren/Makefile.am,v
retrieving revision 1.1.1.3
retrieving revision 1.4
diff -u -r1.1.1.3 -r1.4
Index: src/plugin_common/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/plugin_common/Makefile.am,v
retrieving revision 1.1.1.2
retrieving revision 1.5
diff -u -r1.1.1.2 -r1.5
--- flac-1.1.0/src/plugin_common/Makefile.am	25 Jan 2003 18:15:48 -0000	1.1.1.2
+++ flac-1.1.0/src/plugin_common/Makefile.am	7 Feb 2003 02:04:04 -0000	1.5
@@ -6,7 +6,7 @@
 
 INCLUDES = -I$(top_srcdir)/include @ID3LIB_CFLAGS@
 
-noinst_LIBRARIES = libplugin_common.a
+noinst_LTLIBRARIES = libplugin_common.la
 
 noinst_HEADERS = \
 	all.h \
@@ -20,7 +20,7 @@
 	replaygain_synthesis.h \
 	vorbiscomment.h
 
-libplugin_common_a_SOURCES = \
+libplugin_common_la_SOURCES = \
 	canonical_tag.c \
 	charset.c \
 	dither.c \
Index: src/plugin_winamp2/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/plugin_winamp2/Makefile.am,v
retrieving revision 1.1.1.4
retrieving revision 1.4
diff -u -r1.1.1.4 -r1.4
Index: src/plugin_winamp3/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/plugin_winamp3/Makefile.am,v
retrieving revision 1.1.1.5
retrieving revision 1.4
diff -u -r1.1.1.5 -r1.4
Index: src/plugin_xmms/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/plugin_xmms/Makefile.am,v
retrieving revision 1.1.1.5
retrieving revision 1.10
diff -u -r1.1.1.5 -r1.10
--- flac-1.1.0/src/plugin_xmms/Makefile.am	14 Jan 2003 01:33:03 -0000	1.1.1.5
+++ flac-1.1.0/src/plugin_xmms/Makefile.am	2 Feb 2003 23:03:38 -0000	1.10
@@ -57,10 +57,10 @@
 #   http://lists.freshrpms.net/pipermail/rpm-list/2002-April/000746.html
 # the workaround is the extra '-L$(top_builddir)/src/libFLAC/.libs'
 libxmms_flac_la_LIBADD = \
-	$(top_builddir)/src/plugin_common/libplugin_common.a \
-	$(top_builddir)/src/share/grabbag/libgrabbag.a \
-	$(top_builddir)/src/share/gain_analysis/libgain_analysis.a \
-	$(top_builddir)/src/share/utf8/libutf8.a \
+	$(top_builddir)/src/plugin_common/libplugin_common.la \
+	$(top_builddir)/src/share/grabbag/libgrabbag.la \
+	$(top_builddir)/src/share/gain_analysis/libgain_analysis.la \
+	$(top_builddir)/src/share/utf8/libutf8.la \
 	$(top_builddir)/src/libFLAC/libFLAC.la \
 	-L$(top_builddir)/src/libFLAC/.libs \
 	@XMMS_LIBS@ \
Index: src/share/gain_analysis/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/share/gain_analysis/Makefile.am,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- flac-1.1.0/src/share/gain_analysis/Makefile.am	25 Jan 2003 18:15:37 -0000	1.1.1.1
+++ flac-1.1.0/src/share/gain_analysis/Makefile.am	2 Feb 2003 23:03:39 -0000	1.2
@@ -4,9 +4,9 @@
 
 INCLUDES = -I$(top_srcdir)/include/share
 
-noinst_LIBRARIES = libgain_analysis.a
+noinst_LTLIBRARIES = libgain_analysis.la
 
-libgain_analysis_a_SOURCES = gain_analysis.c
+libgain_analysis_la_SOURCES = gain_analysis.c
 
 EXTRA_DIST = \
 	Makefile.lite \
Index: src/share/grabbag/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/share/grabbag/Makefile.am,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- flac-1.1.0/src/share/grabbag/Makefile.am	25 Jan 2003 18:15:39 -0000	1.1.1.1
+++ flac-1.1.0/src/share/grabbag/Makefile.am	2 Feb 2003 23:03:41 -0000	1.2
@@ -4,9 +4,9 @@
 
 INCLUDES = -I$(top_srcdir)/include
 
-noinst_LIBRARIES = libgrabbag.a
+noinst_LTLIBRARIES = libgrabbag.la
 
-libgrabbag_a_SOURCES = \
+libgrabbag_la_SOURCES = \
 	cuesheet.c \
 	file.c \
 	replaygain.c \
Index: src/share/utf8/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/share/utf8/Makefile.am,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- flac-1.1.0/src/share/utf8/Makefile.am	25 Jan 2003 18:15:36 -0000	1.1.1.1
+++ flac-1.1.0/src/share/utf8/Makefile.am	2 Feb 2003 23:03:42 -0000	1.2
@@ -4,9 +4,9 @@
 
 INCLUDES = -I$(top_srcdir)/include/share
 
-noinst_LIBRARIES = libutf8.a
+noinst_LTLIBRARIES = libutf8.la
 
-libutf8_a_SOURCES = charset.c charset.h iconvert.c utf8.c
+libutf8_la_SOURCES = charset.c charset.h iconvert.c utf8.c
 
 EXTRA_DIST = \
 	Makefile.lite \
Index: src/test_grabbag/cuesheet/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/test_grabbag/cuesheet/Makefile.am,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -r1.1.1.1 -r1.2
--- flac-1.1.0/src/test_grabbag/cuesheet/Makefile.am	25 Jan 2003 18:15:58 -0000	1.1.1.1
+++ flac-1.1.0/src/test_grabbag/cuesheet/Makefile.am	2 Feb 2003 23:03:43 -0000	1.2
@@ -25,8 +25,8 @@
 test_cuesheet_SOURCES = \
 	main.c
 test_cuesheet_LDADD = \
-	$(top_builddir)/src/share/grabbag/libgrabbag.a \
-	$(top_builddir)/src/share/gain_analysis/libgain_analysis.a \
+	$(top_builddir)/src/share/grabbag/libgrabbag.la \
+	$(top_builddir)/src/share/gain_analysis/libgain_analysis.la \
 	$(top_builddir)/src/libFLAC/libFLAC.la \
 	-lm
 
Index: src/test_libFLAC++/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/test_libFLAC++/Makefile.am,v
retrieving revision 1.1.1.4
retrieving revision 1.2
diff -u -r1.1.1.4 -r1.2
--- flac-1.1.0/src/test_libFLAC++/Makefile.am	25 Jan 2003 18:15:42 -0000	1.1.1.4
+++ flac-1.1.0/src/test_libFLAC++/Makefile.am	2 Feb 2003 23:03:45 -0000	1.2
@@ -24,8 +24,8 @@
 
 noinst_PROGRAMS = test_libFLAC++
 test_libFLAC___LDADD = \
-	$(top_builddir)/src/share/grabbag/libgrabbag.a \
-	$(top_builddir)/src/share/gain_analysis/libgain_analysis.a \
+	$(top_builddir)/src/share/grabbag/libgrabbag.la \
+	$(top_builddir)/src/share/gain_analysis/libgain_analysis.la \
 	$(top_builddir)/src/libFLAC++/libFLAC++.la \
 	$(top_builddir)/src/libFLAC/libFLAC.la \
 	-lm
Index: src/test_libFLAC/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/test_libFLAC/Makefile.am,v
retrieving revision 1.1.1.3
retrieving revision 1.2
diff -u -r1.1.1.3 -r1.2
--- flac-1.1.0/src/test_libFLAC/Makefile.am	25 Jan 2003 18:15:40 -0000	1.1.1.3
+++ flac-1.1.0/src/test_libFLAC/Makefile.am	2 Feb 2003 23:03:44 -0000	1.2
@@ -24,8 +24,8 @@
 
 noinst_PROGRAMS = test_libFLAC
 test_libFLAC_LDADD = \
-	$(top_builddir)/src/share/grabbag/libgrabbag.a \
-	$(top_builddir)/src/share/gain_analysis/libgain_analysis.a \
+	$(top_builddir)/src/share/grabbag/libgrabbag.la \
+	$(top_builddir)/src/share/gain_analysis/libgain_analysis.la \
 	$(top_builddir)/src/libFLAC/libFLAC.la \
 	-lm
 test_libFLAC_SOURCES = \
Index: src/test_libOggFLAC++/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/test_libOggFLAC++/Makefile.am,v
retrieving revision 1.1.1.2
retrieving revision 1.2
diff -u -r1.1.1.2 -r1.2
--- flac-1.1.0/src/test_libOggFLAC++/Makefile.am	25 Jan 2003 18:15:46 -0000	1.1.1.2
+++ flac-1.1.0/src/test_libOggFLAC++/Makefile.am	2 Feb 2003 23:03:48 -0000	1.2
@@ -24,8 +24,8 @@
 
 noinst_PROGRAMS = test_libOggFLAC++
 test_libOggFLAC___LDADD = \
-	$(top_builddir)/src/share/grabbag/libgrabbag.a \
-	$(top_builddir)/src/share/gain_analysis/libgain_analysis.a \
+	$(top_builddir)/src/share/grabbag/libgrabbag.la \
+	$(top_builddir)/src/share/gain_analysis/libgain_analysis.la \
 	$(top_builddir)/src/libOggFLAC++/libOggFLAC++.la \
 	$(top_builddir)/src/libOggFLAC/libOggFLAC.la \
 	$(top_builddir)/src/libFLAC/libFLAC.la \
Index: src/test_libOggFLAC/Makefile.am
===================================================================
RCS file: /var/lib/cvs/debian/packages/flac/src/test_libOggFLAC/Makefile.am,v
retrieving revision 1.1.1.2
retrieving revision 1.2
diff -u -r1.1.1.2 -r1.2
--- flac-1.1.0/src/test_libOggFLAC/Makefile.am	25 Jan 2003 18:15:45 -0000	1.1.1.2
+++ flac-1.1.0/src/test_libOggFLAC/Makefile.am	2 Feb 2003 23:03:46 -0000	1.2
@@ -24,8 +24,8 @@
 
 noinst_PROGRAMS = test_libOggFLAC
 test_libOggFLAC_LDADD = \
-	$(top_builddir)/src/share/grabbag/libgrabbag.a \
-	$(top_builddir)/src/share/gain_analysis/libgain_analysis.a \
+	$(top_builddir)/src/share/grabbag/libgrabbag.la \
+	$(top_builddir)/src/share/gain_analysis/libgain_analysis.la \
 	$(top_builddir)/src/libOggFLAC/libOggFLAC.la \
 	$(top_builddir)/src/libFLAC/libFLAC.la \
 	@OGG_LIBS@ \
--- flac-1.1.0/confgure.in.orig	2003-02-11 08:46:25.000000000 -0800
+++ flac-1.1.0/configure.in	2003-02-11 08:46:34.000000000 -0800
@@ -70,7 +70,7 @@
 	dnl There is some confusion over what libraries libid3 needs
 	dnl so we must be pessimistic and try all permutations:
 	dnl "-lid3" "-lid3 -lstdc++" "-lid3 -lz" "-lid3 -lz -lstdc++"
-	for xtra_stdcpp in "" " -lstdc++" ; do
+	for xtra_stdcpp in "" " " ; do
 		for xtra_z in "" " -lz" ; do
 			if test "x$id3lib_found" = "x" ; then
 				ac_save_CFLAGS="$CFLAGS"
